import javax.swing.*;

public class SizeView extends JPanel {
    private Size sizeObj;
    private JLabel label;
    private JSpinner spinner;

    SizeView(Size sizeObj) {
        setSizeObj(sizeObj);
        this.label = new JLabel();
        this.label.setText("Size (meters)");
        SpinnerNumberModel numberModel = new SpinnerNumberModel((this.getSizeObj().getMax() - this.getSizeObj().getMin()) / 2,
                this.getSizeObj().getMin(),
                this.getSizeObj().getMax(),
                1);
        this.spinner = new JSpinner(numberModel);
        if (this.getSizeObj().getSize() != 0)
            this.spinner.setValue(this.getSizeObj().getSize());
        add(label);
        add(spinner);
    }

    public Size getSizeObj() {
        return sizeObj;
    }

    public void setSizeObj(Size sizeObj) {
        this.sizeObj = sizeObj;
    }
}
